# Option adjustments
unsetopt nomatch

# Swap CAPSLOCK and ESC
setxkbmap -option caps:swapescape

# conf.d style configurations
for config in "${HOME}/.config/zsh.d"/*; do
  source "$config"
done

# Source machine-specific setup
if [[ -s ~/.zshrc.local ]]; then
  source ~/.zshrc.local
fi

# conf.d style aliases
for config in "${HOME}/.config/aliases.d"/*; do
  source "$config"
done

# Source machine-specific aliases
if [[ -s ~/.aliases.local ]]; then
  source ~/.aliases.local
fi
